@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@700&display=swap');


body {
    background-color: white;
    width: 100%;
}

a.button {
    -webkit-appearance: button;
    -moz-appearance: button;
    appearance: button;

    text-decoration: none;
    color: initial;
    width: 10rem;
    margin-left: 9rem;
    margin-right: 9rem;
}

a.footer {
    color: #F8D5D3;
    padding-top: 3rem;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-bottom: 1rem;
}

a.footer:hover {
    color: #F87762;
    transition-timing-function: linear;
    transition-duration: 0.25s;
}

div.center {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 6rem 1rem 0rem 0rem;
    text-align: center;
}

p.center {
    color: #2C543C;
    width: 30rem;
}

h1.center {
    width: 42rem;
    margin: unset;
    margin-bottom: 2rem;
    word-wrap: break-word;
    animation: color-change 3s infinite;
}

@keyframes color-change {
    0% {
      color: #2C543C;
    }
    50% {
      color: #F87762;
    }
    100% {
        color: #2C543C;
    }
  }

div.textbox {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    width: 32rem;
    height: 26rem;
    margin-right: 5.75rem;
}

h1.textbox {
    width: 26rem;
    word-break:break-word;
    padding-bottom: 1rem;
}

p.textbox {
    width: 24rem;
    word-wrap: break-word;
    padding-bottom: 0.5rem;
}

#reverse {
    margin-right: unset;
}

div.white {
    height : 51rem; 
    padding: 7rem 9rem 2rem 9rem;
}

div.pink {
    height: 100%;
    background-color: #F8D5D3;
    padding: 7rem 9rem 6rem 9rem;
}

div.footer {
    color: #F8D5D3;
    background-color: #2C543C;
    height: 13.5rem;
}


div.history {
    width: 20rem;
    display: flex;
    flex-direction: column; 
    flex-shrink: unset;
    margin-left: 4rem;
    margin-right: 9rem;
}

#history {
    width: 90%;
    display: flex;
    flex-direction: row;
}

h4.history {
   width: 24rem;
   margin-bottom: 2rem;
}

.vl {
    border-left: 0.2rem solid #2C543C;
    height: 24rem;
    position: absolute;
    margin-left: 1.6rem;
    margin-top: 7.5rem;
  }

h1{
    width: 45rem;
    font-family: 'Raleway', sans-serif;
    font-size: 5.25rem;
    color: #2C543C;
    font-weight: bolder;
    line-height: 5.25rem;
}


h3 {
    font-family: 'Raleway', sans-serif;
    font-size: 3rem;
    color: #2C543C;
    text-align: center;
    font-weight: bold;
    
}

h4 {
    font-family: 'Raleway', sans-serif;
    font-size: 2.25rem;
    color: #2C543C;
    font-weight: bold;
    
}

li {
    list-style-position: outside ;
    padding-left: 2rem;
}

#bold {
    font-weight: bold;
}

p {
    font-family: 'Open Sans', sans-serif;
    font-size: 1.125rem;
    color: #2C543C;
}

li {
    color: #2C543C;
}

hr {
    border-top: 1px solid #F8D5D3; 
    width: 60rem;
    margin-bottom: 2rem;

}

footer {
    font-family: 'Open Sans', sans-serif;
    font-size: 1.125rem;
    line-height: 2rem;
    text-align: center;
}

#social{
    width: 10rem;
    display: flex; 
    flex-direction: row;
    justify-content: space-evenly;
    margin-bottom: 4rem;
}

#row {
    width: auto;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

#row-reverse {
    width: auto;
    height: auto;
    display: flex;
    flex-direction: row-reverse;
    align-items: flex-start;
    justify-content: space-between;
    margin: unset;
}

#footer_link {
    -webkit-appearance: button;
    -moz-appearance: button;
    appearance: button;
    font-family: 'Open Sans', sans-serif;
    text-decoration: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

div.portfolio-row {
display: flex;
flex-direction: row;
margin-left: -3rem;

}

#portfolio {
    padding: 3rem;
    word-wrap: break-word;
    width: 22rem;
    text-align: left;
    color: #2C543C;
}

h4.portfolio-row {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    text-align: left;
    width: 20rem;
}

#white-button {
    width: 12rem;
}

#self {
    margin-left: 7rem;
    margin-top: 2rem;
}

#pic-left {
   margin: 0rem 0rem 0rem -2rem;
}

#wide {
    width: 34rem;
}

#bold-link {
    color: #2C543C;
    text-decoration: none;
    font-weight: bold;
}

#bold-link:hover {
    color: #F87762;
    transition-timing-function: linear;
    transition-duration: 0.25s;
}

#video {
    padding: 12rem 0rem 12rem;
    height: max-content; 
    align-items: center;
    justify-content: center;
}


@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 1) {

    /* untuk tablet e.g. iPad */

    body {
        width: 100%;
        margin: 0rem;
        height: auto;
    }

    div.white {
        width: 100%;
        height: 100%;
        padding: 4.5rem 2rem 2rem;
    }

    div.pink {
        width: 100%;
        height: 100%;
        padding: 6rem 6rem 4rem 6rem;
        display: flex;
    }

    div.footer {
       width: 100%;
        height: 100%;
    }

    #row {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: row; 
        color: #2C543C;
    }

    #history {
        width: 90%;
        padding: 2rem 0rem 2rem 0rem;
        display: flex;
        flex-direction: row;
    }

    div.history {
        width: auto;
        padding: unset;
        margin-left: 4.5rem;
        margin-right: 0rem;
        
    }

    h4.history {
        width: auto;
        word-wrap: break-word;
        font-size: 1.5rem;
    }

    .vl {
        height: 18rem;
        position: absolute;
        margin-left: 1.63rem;
        margin-top: 5.75rem;
    }

    #self {
        width: 40%;
        margin: 2rem 2rem 0rem 6rem; 

    }

    #pic { 
        margin: 2rem 1rem 0rem 0rem; 
    }

    #pic-left {
        width: 45%;
    }

    #reverse {
        padding-left: 2rem;
    }

    #white-button {
        width: 10rem;
    }


    footer {
        font-size: 0.875rem;
        padding-bottom: 2rem;
    }

    h1 {
        font-size: 4rem;
        line-height: normal;
    }

    hr{
        width: auto;
    }

    p {
        font-size: 0.875rem;
    }

    #footer_link {
        font-size: 0.875rem;
        display: flex;
        flex-direction: row;
    }

    div.textbox {
        width: 60%;
        margin-right: auto;
    }

    h1.textbox {
        word-wrap: break-word;
        width: auto;
        padding-bottom: 0rem;
    }

    p.textbox {
       max-width: 18rem;
    }

    

    /**Halaman portfolio.html**/

    #wide {
        width: 26rem;
        padding: 0rem;
    }

    #square {
        width:80%;
    }

    div.portfolio-row {
        flex-direction: row;
        padding : 4rem 4rem 4rem 7rem ; 
    }

    p.portfolio-row {
        width: 13rem;
        word-wrap: break-word;
    }

    #portfolio {
        
        width: 14rem;
        text-align: left;
        padding: 0rem;
    }

    h3 {
        font-size: 3rem;
    }

    h4.portfolio-row {
        width: auto;
        font-size: 1.75rem;
        text-align: start;
        word-wrap: none;
    }


    /** Halaman contacts.html **/
    
    div.center {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        padding-right: unset;
        margin: 6rem 0rem 6rem 0rem;
    }

    h1.center{
        width: 75%;
        margin-bottom: unset;
    }

    p.center {
        color: #2C543C;
        width: 50%;
        padding: 0.5em;
    }
 }


 @media only screen 
 and (min-device-width: 320px) 
 and (max-device-width: 480px)
 and (-webkit-min-device-pixel-ratio: 2)
 and (orientation: portrait) {

  /** Untuk mobile devices e.g. iPhone **/

    body {
        width: 100%;
        margin: 0rem;
        height: 100%;
    }

    div.white {
        width: 100%;
        height: 100%;
        padding: 4.5rem 0rem 2rem 0rem ;
    }

    div.pink {
        width: 100%;
        height: 100%;
        padding: 1.5rem; 
        display: flex;
    }

    #row {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column-reverse;
    }

    
    #row-reverse {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column-reverse;
        margin: 1rem;
    }


    #pic {
        width : 75%; 
        margin: 2rem 1rem 0rem 3rem;
    }

    #pic-left {
        width : 75%; 
        margin: 2rem 1rem 2rem 3rem;
    }


    #white-button {
        width: 10rem;
        margin-left: 4.5rem;
    }


    /*Bagian profile*/

   
    #self {
        width: 40%;
        justify-content: center;
        align-self: center;
        margin-left : 1rem;
        margin-right: unset;
    }

    /*Bagian history riwayat*/

    #history {
        width: auto;
        padding-left: unset;
        display: flex;
        flex-direction: column;
    }

    div.history {
        width: 80%;
        padding: unset;
        margin: 0rem 0rem 1rem 3rem;
    }

    h4.history {
        width: auto;
        word-wrap: break-word;
        font-size: 1.5rem;
    }

    .vl {
        height: 18rem;
        position: absolute;
        margin-left: 1.63rem;
        margin-top: 4rem;
    }
   
    /*Footer*/

    div.footer {
        width: 100%;
        height: 100%;
        padding-top: 1rem;
     }

    footer {
        font-size: 0.875rem;
        padding-bottom: 2rem;
    }

    #footer_link {
        font-size: 0.875rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    hr{
        width: 80%;
    }

    a.footer {
        padding: 0.5rem; 
    }


    h1 {
        font-size: 3rem;
        line-height: normal;
    }


    p {
        font-size: 0.875rem;
    }

    /*Textbox*/

    div.textbox {
        margin: unset;
        width: 20rem;
    }

    h1.textbox {
        word-wrap: break-word;
        width: auto;
        height: auto;
        text-align: center;
        padding-bottom: 0rem;
    }

    p.textbox {
       max-width: 20rem;
       color: #2C543C;
       padding: 0.5rem 1.25rem 0.5rem;
    }

    /**Halaman portfolio.html */

    #wide {
        width: auto;
        height: 8rem;
    }

    div.portfolio-row {
        flex-direction: column;
        padding-left: 4rem;
    }

    h3 {
        font-size: 2rem;
    }

    h4.portfolio-row {
        width: auto;
        font-size: 1.75rem;
        text-align: start;
        word-wrap: none;
    }

    /* Halaman contacts.html  */
    
    div.center {
        width: 20rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        margin: 4rem 0rem 4rem 2.5em;
    }


    p.center {
        width: 20rem;
        color: #2C543C;
    }
    
    h1.center{
        font-size: 2.5em;
        width: auto;
        margin-bottom: unset;
    }

}
